#ifndef __BACKUP_CLOCK_H__

#include <DS1302.h>
#define kCePin   40  // Chip Enable (a.k.a. RST)
#define kIoPin   38  // Input/Output
#define kSclkPin 36  // Serial Clock

#if IS_MAIN
    #define EXTERN
    #define INIT(x) =x
    #define INIT3(x,y,z) =x,y,z
#else
    #define EXTERN extern
    #define INIT(x)
    #define INIT3(x,y,z)
#endif


time_t get_1302_clock(void);
void set_1302_clock(int, uint8_t, uint8_t, uint8_t, uint8_t, uint8_t, uint8_t);

#endif
#define __BACKUP_CLOCK_H__ 1
