#include "thermonew.h"

#define SDDEBUG 1
#define SDCARD 0

void SDdatalog (unsigned char zone) {
    if(zone > 0) return;
    tNow = timelocal(now());
    // build line of date, time, and temperature:
    strcpy_P(Dbuf3,PSTR("%02d/%02d/%4d %02d:%02d:%02d\t%d\t%d"));
    sprintf(Dbuf,Dbuf3, month(tNow),day(tNow),year(tNow),hour(tNow),minute(tNow),second(tNow), Fvalue[zone], zone);

    // open the file.
    File dataFile = SD.open("datalog.txt", FILE_WRITE);

    // if the file is available, write to it:
    if (dataFile) {
	dataFile.println(Dbuf);
	dataFile.close();
#if SDDEBUG
	// print to the serial port too:
	Serial.println(Dbuf);
#endif
    }
#if SDDEBUG
    // if the file isn't open, pop up an error:
    else {
	Serial.println("error opening datalog.txt");
    }
#endif
}
