#ifndef _LCDDISPLAY_H

#define LCDserial1 Serial1
#define LCDserial2 Serial2
#define LCDserial3 Serial3

#if LCD_MAIN
    #define EXTERN
    #define INIT(x) =x
    #define INIT3(x,y,z) =x,y,z
#else
    #define EXTERN extern
    #define INIT(x)
    #define INIT3(x,y,z)
#endif

EXTERN HardwareSerial *LCDportarray[] INIT3({&LCDserial1, &LCDserial2, &LCDserial3});

void setupLCD (void);
void defineDEGsym (unsigned char);
void LCDbacklight (unsigned char, unsigned int );
void LCDline (unsigned char, unsigned char );

#define _LCDDISPLAY_H 1
#endif
